List Assets
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/asset \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/asset"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/asset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"data": {
"data": [
{
"balance_id": "5e56e5de-f354-4570-8cbc-cc134d7a5b75",
"balance_currency": "USDC",
"balance_status": "Active",
"available_balance": "9100",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2025-06-30 17:03:06 +08:00",
"last_trade_time": "2025-10-24 17:51:24 +08:00"
}
],
"total_pages": 123,
"total_items": 123
}
}Assets
List Assets
Query current balance of all wallet accounts at once. Stablecoin Account API Publisher Disclaimer
GET
/
v1
/
ramp
/
asset
List Assets
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Items per page (10 to 100, default 10)
Required range:
10 <= x <= 100Page number (≥ 1, default 1)
Required range:
x >= 1Wallet currency to query
Wallet account status
Available options:
Pending, Active, Closed 
